org.eclipse.wst.jsdt.js.common.build.system.ui

## Class IFileSelectionDialog

- java.lang.Object
- - ElementTreeSelectionDialog
  - - org.eclipse.wst.jsdt.js.common.build.system.ui.IFileSelectionDialog

    public class IFileSelectionDialog
    extends ElementTreeSelectionDialog

Utility class to handle workspace IFile picker.

### Constructor Summary

Constructors
Constructor and Description
`IFileSelectionDialog(Shell parent, ILabelProvider labelProvider, ITreeContentProvider contentProvider)`
`IFileSelectionDialog(java.lang.String title, java.lang.String message, java.lang.String[] type)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IFileSelectionDialog

    public IFileSelectionDialog(java.lang.String title,
                                java.lang.String message,
                                java.lang.String[] type)

#### IFileSelectionDialog

    public IFileSelectionDialog(Shell parent,
                                ILabelProvider labelProvider,
                                ITreeContentProvider contentProvider)